package com.chenyang.nse.bussiness.entity.vo;

import com.chenyang.nse.bussiness.entity.vo.dataproject.TCoreDataFileGroupVO;
import java.util.List;

public class TreeGridRegexVO {
   private String id;
   private String name;
   private String regex;
   private String dataareaid;
   private String dataarea;
   private String flag;
   private String check;
   private String discoverway;
   private String ruleexample;
   private String defaultrule;
   private List<TreeGridRegexVO> children;
   private List<TCoreDataFileGroupVO> dataFileGroup;
   private String datafileid;

   public String getDiscoverway() {
      return this.discoverway;
   }

   public void setDiscoverway(String discoverway) {
      this.discoverway = discoverway;
   }

   public String getCheck() {
      return this.check;
   }

   public void setCheck(String check) {
      this.check = check;
   }

   public String getDatafileid() {
      return this.datafileid;
   }

   public void setDatafileid(String datafileid) {
      this.datafileid = datafileid;
   }

   public List<TCoreDataFileGroupVO> getDataFileGroup() {
      return this.dataFileGroup;
   }

   public void setDataFileGroup(List<TCoreDataFileGroupVO> dataFileGroup) {
      this.dataFileGroup = dataFileGroup;
   }

   public TreeGridRegexVO() {
   }

   public TreeGridRegexVO(String id, String name, String dataareaid, String discoverway, List<TreeGridRegexVO> children) {
      this.id = id;
      this.name = name;
      this.children = children;
      this.dataareaid = dataareaid;
      this.discoverway = discoverway;
   }

   public TreeGridRegexVO(String id, String name, String dataareaid, String dataarea, String regex, String ruleexample, String flag, String defaultrule, String discoverway, List<TCoreDataFileGroupVO> dataFileGroup) {
      this.id = id;
      this.name = name;
      this.regex = regex;
      this.dataareaid = dataareaid;
      this.dataarea = dataarea;
      this.flag = flag;
      this.ruleexample = ruleexample;
      this.defaultrule = defaultrule;
      this.discoverway = discoverway;
      this.dataFileGroup = dataFileGroup;
   }

   public TreeGridRegexVO(String id, String name, String dataareaid, String dataarea, String regex, String ruleexample, String flag, String defaultrule, String check, String discoverway, List<TCoreDataFileGroupVO> dataFileGroup) {
      this.id = id;
      this.name = name;
      this.regex = regex;
      this.dataareaid = dataareaid;
      this.dataarea = dataarea;
      this.flag = flag;
      this.ruleexample = ruleexample;
      this.defaultrule = defaultrule;
      this.check = check;
      this.discoverway = discoverway;
      this.dataFileGroup = dataFileGroup;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getRegex() {
      return this.regex;
   }

   public void setRegex(String regex) {
      this.regex = regex;
   }

   public List<TreeGridRegexVO> getChildren() {
      return this.children;
   }

   public void setChildren(List<TreeGridRegexVO> children) {
      this.children = children;
   }

   public String getRuleexample() {
      return this.ruleexample;
   }

   public void setRuleexample(String ruleexample) {
      this.ruleexample = ruleexample;
   }

   public String getDataarea() {
      return this.dataarea;
   }

   public void setDataarea(String dataarea) {
      this.dataarea = dataarea;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getDefaultrule() {
      return this.defaultrule;
   }

   public void setDefaultrule(String defaultrule) {
      this.defaultrule = defaultrule;
   }

   public String getDataareaid() {
      return this.dataareaid;
   }

   public void setDataareaid(String dataareaid) {
      this.dataareaid = dataareaid;
   }
}
